%global themes kora-pgrey kora kora-light kora-light-panel

Name:           kora-icon-theme
Version:        1.5.7
Release:        1%{?dist}
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPLv3
URL:            https://github.com/bikass/kora
Source0:        https://github.com/bikass/kora/archive/refs/tags/v%{version}.tar.gz#/kora-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes

%description
This icon theme for Gnome provides monochromatic icons for panels, toolbars and
buttons and colorful squared icons for devices, applications, folder, files and
Gnome menu items. Six themes are included to fit with light or dark
themes/panels.


%prep
%autosetup -n kora-%{version}
# Remove executable bits on all files
find . -type f -exec chmod 0644 {} \;
find . -type d -exec chmod 0755 {} \;
find . -name '*.sh' -exec chmod +x {} \;

%build
# nothing to build

%install
install -dm 755 %{buildroot}%{_datadir}/icons

cp -a kora* %{buildroot}%{_datadir}/icons
%fdupes -s %{buildroot}



%post
for theme in %{themes}
do
    touch --no-create %{_datadir}/icons/${theme} &>/dev/null ||:
done


%postun
if [ $1 -eq 0 ] ; then
    for theme in %{themes}
    do
        touch --no-create %{_datadir}/icons/${theme} &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/${theme} &>/dev/null || :
    done
fi


%posttrans
for theme in %{themes}
do
    gtk-update-icon-cache %{_datadir}/icons/${theme} &>/dev/null || :
done


%files
%doc README.md
%license LICENSE
%{_datadir}/icons/kora*


%changelog
* Mon Jun 19 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.5.7-1
- initial build for MSVSphere 9.2
